## org.apache.aries.subsystem.core.archive
Class SubsystemContentHeader

    java.lang.Object
      org.apache.aries.subsystem.core.archive.SubsystemContentHeader

All Implemented Interfaces:
  Header<SubsystemContentHeader.Clause>, RequirementHeader<SubsystemContentHeader.Clause>

    public class SubsystemContentHeader

extends Object
implements RequirementHeader<SubsystemContentHeader.Clause>

Nested Class Summary
`static class` `SubsystemContentHeader.Clause`

Field Summary
`static String` `NAME`

Constructor Summary
`SubsystemContentHeader(Collection<SubsystemContentHeader.Clause> clauses)`
`SubsystemContentHeader(String value)`

Method Summary
`boolean` `contains(org.osgi.resource.Resource resource)`
`SubsystemContentHeader.Clause` `getClause(org.osgi.resource.Resource resource)`
`Collection<SubsystemContentHeader.Clause>` `getClauses()`
`String` `getName()`
`String` `getValue()`
`boolean` `isMandatory(org.osgi.resource.Resource resource)`
`static SubsystemContentHeader` `newInstance(Collection<org.osgi.resource.Resource> resources)`
`List<org.osgi.resource.Requirement>` `toRequirements(org.osgi.resource.Resource resource)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### SubsystemContentHeader

    public SubsystemContentHeader(Collection<SubsystemContentHeader.Clause> clauses)

### SubsystemContentHeader

    public SubsystemContentHeader(String value)

Method Detail

### newInstance

    public static SubsystemContentHeader newInstance(Collection<org.osgi.resource.Resource> resources)

### contains

    public boolean contains(org.osgi.resource.Resource resource)

### getClause

    public SubsystemContentHeader.Clause getClause(org.osgi.resource.Resource resource)

### getClauses

    public Collection<SubsystemContentHeader.Clause> getClauses()

  Specified by:
    `getClauses` in interface `Header<SubsystemContentHeader.Clause>`

### isMandatory

    public boolean isMandatory(org.osgi.resource.Resource resource)

### getName

    public String getName()

  Specified by:
    `getName` in interface `Header<SubsystemContentHeader.Clause>`

### getValue

    public String getValue()

  Specified by:
    `getValue` in interface `Header<SubsystemContentHeader.Clause>`

### toRequirements

    public List<org.osgi.resource.Requirement> toRequirements(org.osgi.resource.Resource resource)

  Specified by:
    `toRequirements` in interface `RequirementHeader<SubsystemContentHeader.Clause>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.